{
    attributes = (
        {
            columnName = C_ANNEE_UNIV; 
            externalType = VARCHAR2; 
            name = cAnneeUniv; 
            valueClassName = NSString; 
            width = 9; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_DEB_ANNEE_UNIV; 
            externalType = DATE; 
            name = dDebAnneeUniv; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_FIN_ANNEE_UNIV; 
            externalType = DATE; 
            name = dFinAnneeUniv; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = L_ANNEE_UNIV; 
            externalType = VARCHAR2; 
            name = lAnneeUniv; 
            valueClassName = NSString; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (cAnneeUniv); 
    className = EOGenericRecord; 
    classProperties = (
        cAnneeUniv, 
        dDebAnneeUniv, 
        dFinAnneeUniv, 
        lAnneeUniv, 
        dCreation, 
        dModification
    ); 
    externalName = GRHUM.ANNEE_UNIVERSITAIRE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumAnneeUniversitaire; 
    primaryKeyAttributes = (cAnneeUniv); 
}
